<?xml version="1.0" encoding="UTF-8"?>
<launchConfiguration type="com.atollic.hardwaredebug.launch.launchConfigurationType">
<stringAttribute key="com.atollic.hardwaredebug.jlink_common.cpu_core" value="Cortex-M" />
<stringAttribute key="com.atollic.hardwaredebug.jlink_common.device" value="STM32L476RG" />
<stringAttribute key="com.atollic.hardwaredebug.jlink_common.endian" value="little" />
<stringAttribute key="com.atollic.hardwaredebug.jlink_common.init_speed" value="4000" />
<booleanAttribute key="com.atollic.hardwaredebug.jlink_common.scan_chain_auto" value="true" />
<intAttribute key="com.atollic.hardwaredebug.jlink_common.scan_chain_irpre" value="0" />
<intAttribute key="com.atollic.hardwaredebug.jlink_common.scan_chain_pos" value="0" />
<stringAttribute key="com.atollic.hardwaredebug.launch.analyzeCommands" value="# Set flash parallelism mode to 32, 16, or 8 bit when using STM32 F2/F4 microcontrollers&#xD;&#xA;# 2=32 bit, 1=16 bit and 0=8 bit parallelism mode&#xD;&#xA;monitor flash set_parallelism_mode 2&#xD;&#xA;&#xD;&#xA;# Load the program executable&#xD;&#xA;load&#x9;&#x9;&#xD;&#xA;&#xD;&#xA;# Enable Debug connection in low power modes (DBGMCU-&gt;CR)&#xD;&#xA;set *0xE0042004 = (*0xE0042004) | 0x7&#xD;&#xA;# Start the executable&#xD;&#xA;continue" />
<booleanAttribute key="com.atollic.hardwaredebug.launch.enable_swv" value="false" />
<intAttribute key="com.atollic.hardwaredebug.launch.formatVersion" value="2" />
<stringAttribute key="com.atollic.hardwaredebug.launch.ipAddress" value="localhost" />
<stringAttribute key="com.atollic.hardwaredebug.launch.jtagDevice" value="ST-LINK" />
<intAttribute key="com.atollic.hardwaredebug.launch.portNumber" value="61234" />
<stringAttribute key="com.atollic.hardwaredebug.launch.remoteCommand" value="target extended-remote" />
<stringAttribute key="com.atollic.hardwaredebug.launch.runCommands" value="# Set flash parallelism mode to 32, 16, or 8 bit when using STM32 F2/F4 microcontrollers&#xD;&#xA;# 2=32 bit, 1=16 bit and 0=8 bit parallelism mode&#xD;&#xA;monitor flash set_parallelism_mode 2&#xD;&#xA;&#xD;&#xA;# Load the program executable&#xD;&#xA;load&#x9;&#x9;&#xD;&#xA;&#xD;&#xA;# Enable Debug connection in low power modes (DBGMCU-&gt;CR)&#xD;&#xA;set *0xE0042004 = (*0xE0042004) | 0x7&#xD;&#xA;# Set a breakpoint at main().&#xD;&#xA;tbreak main&#xD;&#xA;&#xD;&#xA;# Run to the breakpoint.&#xD;&#xA;continue" />
<stringAttribute key="com.atollic.hardwaredebug.launch.serverParam" value="-p 61234 -l 1 -d" />
<booleanAttribute key="com.atollic.hardwaredebug.launch.startServer" value="true" />
<booleanAttribute key="com.atollic.hardwaredebug.launch.swd_mode" value="true" />
<stringAttribute key="com.atollic.hardwaredebug.launch.swv_port" value="61235" />
<stringAttribute key="com.atollic.hardwaredebug.launch.swv_trace_div" value="120" />
<stringAttribute key="com.atollic.hardwaredebug.launch.swv_trace_hclk" value="120000000" />
<booleanAttribute key="com.atollic.hardwaredebug.launch.swv_wait_for_sync" value="true" />
<booleanAttribute key="com.atollic.hardwaredebug.launch.useRemoteTarget" value="true" />
<stringAttribute key="com.atollic.hardwaredebug.launch.verifyCommands" value="# Set flash parallelism mode to 32, 16, or 8 bit when using STM32 F2/F4 microcontrollers&#xD;&#xA;# 2=32 bit, 1=16 bit and 0=8 bit parallelism mode&#xD;&#xA;monitor flash set_parallelism_mode 2&#xD;&#xA;&#xD;&#xA;# Load the program executable&#xD;&#xA;load&#x9;&#x9;&#xD;&#xA;&#xD;&#xA;# Enable Debug connection in low power modes (DBGMCU-&gt;CR)&#xD;&#xA;set *0xE0042004 = (*0xE0042004) | 0x7&#xD;&#xA;# The executable starts automatically" />
<booleanAttribute key="com.atollic.hardwaredebug.stlink.enable_logging" value="false" />
<stringAttribute key="com.atollic.hardwaredebug.stlink.log_file" value="/home/isalgado/programacion/microcontroladores/LabdePC/LABORA4_V1/\Debug\st-link_gdbserver_log.txt" />
<booleanAttribute key="com.atollic.hardwaredebug.stlink.verify_flash" value="false" />
<stringAttribute key="org.eclipse.cdt.debug.mi.core.DEBUG_NAME" value="${TOOLCHAIN_PATH}/arm-atollic-eabi-gdb" />
<stringAttribute key="org.eclipse.cdt.debug.mi.core.commandFactory" value="Standard (Windows)" />
<stringAttribute key="org.eclipse.cdt.debug.mi.core.protocol" value="mi" />
<booleanAttribute key="org.eclipse.cdt.debug.mi.core.verboseMode" value="false" />
<stringAttribute key="org.eclipse.cdt.dsf.gdb.DEBUG_NAME" value="${TOOLCHAIN_PATH}/arm-atollic-eabi-gdb" />
<intAttribute key="org.eclipse.cdt.launch.ATTR_BUILD_BEFORE_LAUNCH_ATTR" value="2" />
<stringAttribute key="org.eclipse.cdt.launch.PROGRAM_NAME" value="Debug/Labora4.elf" />
<stringAttribute key="org.eclipse.cdt.launch.PROJECT_ATTR" value="Labora4" />
<stringAttribute key="org.eclipse.cdt.launch.PROJECT_BUILD_CONFIG_ID_ATTR" value="" />
<listAttribute key="org.eclipse.debug.core.MAPPED_RESOURCE_PATHS">
<listEntry value="/Labora4" />
</listAttribute>
<listAttribute key="org.eclipse.debug.core.MAPPED_RESOURCE_TYPES">
<listEntry value="4" />
</listAttribute>
<stringAttribute key="org.eclipse.dsf.launch.MEMORY_BLOCKS" value="&lt;?xml version=&quot;1.0&quot; encoding=&quot;UTF-8&quot; standalone=&quot;no&quot;?&gt;&#xD;&#xA;&lt;memoryBlockExpressionList context=&quot;reserved-for-future-use&quot;/&gt;&#xD;&#xA;" />
</launchConfiguration>
